Skip to main content
GET
/
service-accounts
/
{org}
/
{name}
/
api-keys
List API keys for a service account
curl --request GET \
  --url https://app.kosli.com/api/v2/service-accounts/{org}/{name}/api-keys \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "description": "<string>",
    "created_at": 123,
    "expires_at": 123,
    "last_used_at": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required
name
string
required

The name of the service account

Response

Successful Response

id
string
required

Unique identifier for the API key

description
string
required

Description of the API key

created_at
number
required

Unix timestamp when the key was created

expires_at
integer
required

Unix timestamp when the key expires. 0 means no expiry.

last_used_at
number | null

Unix timestamp when the key was last used. Omitted if never used.

Last modified on April 20, 2026